#ifndef GPPS_H
#define GPPS_H

#ifdef _cplusplus

// GetPrivateProfileString
// for UNIX use
// these comments are for the C++ standard, but not for ANSI C!

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifndef WIN32
#include <sys/types.h>
#include "iodbc.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif

DWORD
GetPrivateProfileString(char *theSection,   // section name
    char *theKey,                           // search key name
    char *theDefault,                       // default value if not found
    char *theReturnBuffer,                  // return valuse stored here
    size_t theBufferLength,                 // byte length of return buffer
    char *theIniFileName);                  // pathname of ini file to search

DWORD
WritePrivateProfileString(char *theSection,	// section name
	char *theKey,		// write key name
	char *theBuffer,	// input buffer
	char *theIniFileName);	// pathname of ini file to write

#ifdef __cplusplus
}
#endif

#ifndef WIN32
#undef DWORD
#endif

#else
/* regular C version, read the comments from the C++ variant */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifndef WIN32
#include <sys/types.h>
#include "iodbc.h"
#endif

DWORD
GetPrivateProfileString(char *theSection,   
    char *theKey,                           
    char *theDefault,                       
    char *theReturnBuffer,                  
    size_t theBufferLength,                 
    char *theIniFileName);                  

DWORD
WritePrivateProfileString(char *theSection,	
	char *theKey,		
	char *theBuffer,	
	char *theIniFileName);	

#ifndef WIN32
#undef DWORD
#endif

/* first following endif is for condition on C++, second is for guard definition */

#endif
#endif
